; Borderless Banner with Commodore Chicklet Logo
; September 22, 2024 by KPK

* = $801

!hex 20080a009e323038323a8f2032322d5345502d32303234204259204b504b000000

init:
  lda #147
  jsr $ffd2
  lda #14
  sta x_loc
  lda #19
  sta y_loc
  lda #0
  sta msg_ptr
  
message:
- ldx y_loc
  ldy x_loc
  jsr $fff0
  ldy msg_ptr
  lda msg,y
  beq logo
  jsr $ffd2
  inc msg_ptr
  inc x_loc
  dec y_loc
  bne -

logo:
  ldx #10
  ldy #13
  jsr $fff0
  ldy #0
- lda chicklet,y
  jsr $ffd2
  iny
  cpy #chicklet_end - chicklet
  bne -

loop1:
  lda #$5a
  sta $fb
  lda #$00
  sta $d020
  sta $d021
  ldx #$0f
  sei
loop2:
- lda $d011
  bmi -
- lda $d012
  cmp $fb
  bne -
  inc $d020
  inc $d021
  clc
  adc #$08
  sta $fb
  dex
  bpl loop2
  bmi loop1

x_loc:   !fill 1
y_loc:   !fill 1
msg_ptr: !fill 1
msg:     !pet 5,"commodore 64!",0

chicklet:
!byte 206,183,205,17,157,157,157,180,176,31,18,32,146,169,5,17,157,157
!byte 157,157,180,173,28,18,32,223,146,5,17,157,157,157,157,205,175,206
chicklet_end: